package org.gcube.portlets.user.geoportaldataentry.client;

import org.gcube.portlets.widgets.mpformbuilder.client.ConstantsMPFormBuilder;

/**
 * The Class ConstantsGeoPortalDataEntryApp.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Aug 6, 2021
 */
public class ConstantsGeoPortalDataEntryApp {

	public static final String DATE_FORMAT = ConstantsMPFormBuilder.DATE_FORMAT;

	public static final String TIME_FORMAT = ConstantsMPFormBuilder.TIME_FORMAT;

	public static final String HOURS_MINUTES_SEPARATOR = ConstantsMPFormBuilder.HOURS_MINUTES_SEPARATOR;

	public static final String ERROR_ON_INIZIALITAION_STAGE_PLEASE_CONTACT_THE_SUPPORT = "Error on inizialization stage, please contact the support!";

	/**
	 * The Enum RECORD_TYPE.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum RECORD_TYPE {
		CONCESSIONE
	}

	/**
	 * The Enum ACTION_ON_ITEM.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum ACTION_ON_ITEM {
		SHOW_ON_MAP, SHOW_METADATA, SHOW_REPORT, SHOW_EDIT_MODE, DELETE_RECORD, UPDATED_RECORD
	}

	/**
	 * The Enum RECORD_FIELD.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Sep 2, 2021
	 */
	public static enum RECORD_FIELD {
		NAME("name", "Name"), INTRODUCTION("introduction", "Introduction"), AUTHOR("author", "Author/s"),
		PROJECT_START_END_DATE("", "Project Start/End Date"), RECORD_STATUS("recordStatus", "Published with"), CREATED("created", "Created"),
		CREATED_BY("createdBy", "Created by");

		String jsonFieldName;
		String displayName;

		/**
		 * Instantiates a new record field.
		 *
		 * @param jsonFieldName the json field name
		 * @param displayName   the display name
		 */
		RECORD_FIELD(String jsonFieldName, String displayName) {
			this.jsonFieldName = jsonFieldName;
			this.displayName = displayName;
		}

		public String getJsonFieldName() {
			return jsonFieldName;
		}

		public String getDisplayName() {
			return displayName;
		}
	}

}
